Subject: bug#77397: 31.0.50; japanese-replace-region doesn't work

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 Mar 2025 22:27:52 -0400

> Functions that use `replace-region-contents' in japan-util.el
> now do not work.  Because the 3rd argument SOURCE passed to
> `replace-region-contents' may be a character, not a string, in
> most cases in japan-util.el.  For instance:

Duh!  Thanks, should be fixed now,

> Maybe changing `replace-region-contents' so to allow a character
> as well,

That would make sense for a more primitive `replace-region`, but
I'd rather not add that to the fancier `replace-region-contents` where
that char could end up turned into a (temp) buffer.

> or wrapping the 3rd argument passed to `replace-region-contents' with
> the `string' function in only japan-util.el will be the solution.

That's what I did.
Oh, wait I see Eli beat me to it (and with the exact same patch to boot!).

        Stefan